%define oname   xpath

Name:       ruby-%{oname}
Version:    3.2.0
Release:    %mkrel 2
Summary:    RDoc produces HTML and command-line documentation for Ruby projects
Group:      Development/Ruby
License:    Ruby License
URL:        http://rdoc.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
RDoc produces HTML and command-line documentation for Ruby projects.  RDoc
includes the +rdoc+ and +ri+ tools for generating and displaying online
documentation. See RDoc for a description of RDoc's markup and basic use.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
# Get rid of percentage signs in filenames which the Mageia build system
# does not like.
find "$RPM_BUILD_ROOT" -name '*%*' -type f | perl -lne 'my $s = $_; $s =~ tr/%/_/; rename ($_, $s);'

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_instdir}/spec
%{gem_instdir}/README.md
%{gem_spec}

%files          doc
%doc %{gem_docdir}


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 3.2.0-2.mga8
+ Revision: 1520127
- Mageia 8 Mass Rebuild

* Sun Nov 04 2018 pterjan <pterjan> 3.2.0-1.mga7
+ Revision: 1328233
- Update to 3.2.0

* Fri Sep 21 2018 umeabot <umeabot> 3.1.0-2.mga7
+ Revision: 1291445
- Mageia 7 Mass Rebuild

* Thu May 31 2018 pterjan <pterjan> 3.1.0-1.mga7
+ Revision: 1233367
- Update to 3.1.0

* Sun Apr 01 2018 pterjan <pterjan> 3.0.0-1.mga7
+ Revision: 1214476
- Update to 3.0.0

* Sun Aug 20 2017 pterjan <pterjan> 2.1.0-1.mga7
+ Revision: 1141934
- Update to 2.1.0

* Wed Feb 17 2016 umeabot <umeabot> 2.0.0-7.mga6
+ Revision: 964061
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-6.mga5
+ Revision: 748317
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-5.mga5
+ Revision: 689003
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 2.0.0-4.mga4
+ Revision: 562618
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 2.0.0-3.mga4
+ Revision: 536218
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 fwang <fwang> 2.0.0-2.mga4
+ Revision: 483737
- update file list
- use gem_setup

* Sun Jun 09 2013 fwang <fwang> 2.0.0-1.mga4
+ Revision: 441144
- new version 2.0.0

* Fri Feb 08 2013 umeabot <umeabot> 0.1.4-4.mga3
+ Revision: 396624
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.1.4-3.mga3
+ Revision: 381630
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.1.4-2.mga3
+ Revision: 314103
- rebuild for new ruby

* Fri Jun 08 2012 shlomif <shlomif> 0.1.4-1.mga3
+ Revision: 257811
- Fix percentages in filename
- Got it to build
- imported package ruby-xpath

